# Bio-ensemblrest
# 
# Copyright (C) 2015
#
# author: Natapol Pornputtapong <natapol.por@gmail.com>
#
# Documentation: Natapol Pornputtapong (RDoc'd and embellished by William Webber)
#

# raise "Please, use ruby 1.9.0 or later." if RUBY_VERSION < "1.9.0"

module EnsemblREST
	
	module Archive
		module_function
		# Uses the given identifier to return the archived sequence
		# 
		# @param [String] id An Ensembl stable ID
		# @param [Hash] options Optional arguments for the service please goto http://rest.ensembl.org/documentation/info/archive_id_get
		# @return [JSON] Variants consequences
		def id_get(id, options = {})
			return EnsemblREST.get("archive/id/#{id}", {format: 'json'}.merge(options))
		end
		
		# Retrieve the archived sequence for a set of identifiers
		# 
		# @param [Array] ids Ensembl stable IDs
		# @param [Hash] options Optional arguments for the service please goto http://rest.ensembl.org/documentation/info/archive_id_post
		# @return [JSON] Requested response
		def id_post(ids, options = {})
			return EnsemblREST.post("archive/id", {"id" => ids}, {format: 'json'}.merge(options))
		end
	end
end
