# Bio-ensemblrest
# 
# Copyright (C) 2015
#
# author: Natapol Pornputtapong <natapol.por@gmail.com>
#
# Documentation: Natapol Pornputtapong (RDoc'd and embellished by William Webber)
#

# raise "Please, use ruby 1.9.0 or later." if RUBY_VERSION < "1.9.0"

module EnsemblREST

	module Regulation
		module_function
		
		# Returns a RegulatoryFeature given its stable ID (e.g. ENSR00001348195)
		# 
		# @param [String] id RegulatoryFeature stable ID
		# @param [String] species Species name/alias
		# @param [Hash] options Optional arguments for the service please goto http://rest.ensembl.org/documentation/info/regulatory_id
		# @return [JSON] the entire ancestry of a term
		def id(id, species = 'human', options = {})
			return EnsemblREST.get("regulatory/#{species}/#{id}", {format: 'json'}.merge(options))
		end
	end
end