# Bio-ensemblrest
# 
# Copyright (C) 2015
#
# author: Natapol Pornputtapong <natapol.por@gmail.com>
#
# Documentation: Natapol Pornputtapong (RDoc'd and embellished by William Webber)
#

# raise "Please, use ruby 1.9.0 or later." if RUBY_VERSION < "1.9.0"

module EnsemblREST
	
	module Variation
		module_function
		
		# Uses a variation identifier (e.g. rsID) to return the variation features
		# 
		# @param [String] id RegulatoryFeature stable ID
		# @param [String] species Species name/alias
		# @param [Hash] options Optional arguments for the service please goto http://rest.ensembl.org/documentation/info/variation_id
		# @return [JSON] the variation features
		def id(id, species = 'human', options = {})
			return EnsemblREST.get("variation/#{species}/#{id}", {format: 'json'}.merge(options))
		end
		
		# Uses a list of variation identifiers (e.g. rsID) to return the variation features
		# 
		# @param [Array] ids RegulatoryFeature stable IDs
		# @param [String] species Species name/alias
		# @param [Hash] options Optional arguments for the service please goto http://rest.ensembl.org/documentation/info/variation_post
		# @return [JSON] the variation features
		def post(ids, species = 'human', options = {})
			return EnsemblREST.post("variation/#{species}", {"ids" => ids}, {format: 'json'}.merge(options))
		end
	end
end